/* header file for graphix.c applications.  Function prototypes & #defines */
/* copyright 1988, 1989, 1990, 1991 Robert C. Becker, Lantern Systems */

#define		VIDEO		0x10	/* BIOS video int. */
#define		WRT_PIX		0x0c	/* BIOS write pixel request */
#define		SET_MODE	0	/* BIOS set video mode: al = video mode */
#define		VIDEO_STATE	0x0f	/* BIOS get video state */

#define		CRT		1	/* text CRT on HP systems, here just CRT */
#define		KBD		2	/* same as on HP systems */
#define		MOUSE		3	/* no previous definition */

#define		CGA_320x200	&hpc_320_200_hp		/* BIOS CGA 320x200, 4 color */
#define		CGA_640x200	&hpc_640_200_hp		/* BIOS CGA 640x200 BW */
#define		ATT_640x400	&hpa_640_400_hp		/* AT&T 640x400 BW, tiny type */
#define		HGC_720x348	&hph_720_348_hp		/* Hercules HGC and HGC+ 720x348 BW */
#define		EGA_320x200	&hpe_320_200_hp		/* IBM EGA low-res 320x200, 16 color */
#define		EGA_640x200	&hpe_640_200_hp		/* IBM EGA med-res 640x200, 16 color */
#define		MEGA_640x350	&hpem_640_350_hp	/* IBM EGA high-res 640x350, BW */
#define		EGA_640x350	&hpe_640_350_hp		/* IBM EGA high-res 640x350, 16 color */
#define		VGA_640x480	&hpv_640_480_hp		/* IBM VGA high-res 640x480, 16 color */
#define		VGA_320x200	&hpv_320_200_hp		/* IBM VGA lo-res 320x200, 256 color */
#define		MCGA_640x480	&hpm_640_480_hp		/* IBM MCGA high-res 640x480, BW */

#ifndef CHAR_STR_DEFT
struct char___deft
	{
	char *fontname;
	int _far **char_v;
	unsigned char _far **char_p;
	double ascender;
	double descender;
	double width;
	double base;
	double center;
	double top;
	double x_inc;
	double y_inc;
	double scale;
	};
#define		CHAR_STR_DEFT	/* char description struct defined */
#endif

struct char___deft _far *std_font ( void );	/* pointer to struct defining std char font */

void arc ( double, int, double, double );
void axes ( double, double, double, double, int, int, double );
void cdir ( double );
void char_xspace ( double, double );
void clip ( double, double, double, double );
void clip_off ( void );
void clip_on ( void );
void couple_pdir ( void );
void csize ( double, double, double );
void csize_gdu (void);
void csize_mm (void);
void csize_udu (void);
void deg ( void );
void delete_font ( int );
int  digitize ( double *, double * );
void disp_fns ( enum DFNON__OFF );
void draw ( double, double );
void frame ( void );
void gclear ( void );
void g_init ( struct _vid_x_parm_ * );
int  graphics_input ( int );
void graphics_off ( void );
void grid ( double, double, double, double, int, int, double );
void idraw ( double, double );
void imove ( double, double );
void iplot ( double, double, int );
void labelf ( char *, ... );
void ldir ( double );
void limit ( double, double, double, double );
void line_type ( int, double );
void lorg ( int );
void move ( double, double );
void mscale ( double, double );
void pen ( int );
void penup ( void );
void pdir ( double );
void pivot ( double );
void plot ( double, double, int );
void rad ( void );
double ratio ( void );
void rdraw ( double, double );
void rectangle ( double, double, double, double );
int  read_locator ( double *, double * );
int register_font ( struct char___deft _far * );
void rmove ( double, double );
void rplot ( double, double, int );
void show ( double, double, double, double );
int select_font ( int );
void setgu ( void );
void setuu ( void );
void track ( int );
void uncouple_pdir ( void );
void viewport ( double, double, double, double );
int  where ( double *, double * );
void window ( double, double, double, double );



